org.apache.ignite.internal.processors.platform.memory

## Interface PlatformMemoryManager

All Known Implementing Classes:
  PlatformMemoryManagerImpl

    public interface PlatformMemoryManager

Interop memory manager interface.

### Method Summary

Methods
`PlatformMemory` `allocate()` Allocates memory.
`PlatformMemory` `allocate(int cap)` Allocates memory having at least the given capacity.
`PlatformMemory` `get(long memPtr)` Gets memory from existing pointer.

### Method Detail

#### allocate

    PlatformMemory allocate()

Allocates memory.

Returns:
  Memory.

#### allocate

    PlatformMemory allocate(int cap)

Allocates memory having at least the given capacity.

Parameters:
  `cap` - Minimum capacity.
Returns:
  Memory.

#### get

    PlatformMemory get(long memPtr)

Gets memory from existing pointer.

Parameters:
  `memPtr` - Cross-platform memory pointer.
Returns:
  Memory.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016